local t = Def.ActorFrame {};
local margin = 94

t[#t+1] = LoadActor( THEME:GetPathG("_bg","transition")) .. {
			InitCommand=cmd(zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;Center;);
		};		
		
-- Hexagons		
t[#t+1] = Def.ActorFrame {

		-- Top
		LoadActor( THEME:GetPathG("_transition","hexagon")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X-margin/2;y,SCREEN_CENTER_Y-margin+12;);
		};
		LoadActor( THEME:GetPathG("_transition","hexagon")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X+margin/2;y,SCREEN_CENTER_Y-margin+12;);
		};
		
		-- center left
		LoadActor( THEME:GetPathG("_transition","hexagon")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X-margin;y,SCREEN_CENTER_Y;);
		};
		
			-- center
		LoadActor( THEME:GetPathG("_transition","hexagon")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;);
		};
		
		-- center right
		LoadActor( THEME:GetPathG("_transition","hexagon")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X+margin;y,SCREEN_CENTER_Y;);
		};

		-- Bottom
		LoadActor( THEME:GetPathG("_transition","hexagon")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X-margin/2;y,SCREEN_CENTER_Y+margin-12;);
		};
		LoadActor( THEME:GetPathG("_transition","hexagon")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X+margin/2;y,SCREEN_CENTER_Y+margin-12;);
		};
		
		};

-- Top door 
t[#t+1] = LoadActor( THEME:GetPathG("_transition","door")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_TOP-100);
			OnCommand=cmd(y,SCREEN_TOP+75;);
		};
		
t[#t+1] = LoadActor( THEME:GetPathG("_transition","door")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_BOTTOM+100;zoomy,-1);
			OnCommand=cmd(y,SCREEN_BOTTOM-75;);
		};
		
-- Left door
t[#t+1] = LoadActor( THEME:GetPathG("_transition","side")) .. {
			InitCommand=cmd(horizalign,left;x,SCREEN_LEFT-290;y,SCREEN_CENTER_Y);
			OnCommand=cmd(x,SCREEN_LEFT-11;);
		};
-- Right door
t[#t+1] = LoadActor( THEME:GetPathG("_transition","side")) .. {
			InitCommand=cmd(zoomx,-1;horizalign,left;x,SCREEN_RIGHT+290;y,SCREEN_CENTER_Y;);
			OnCommand=cmd(x,SCREEN_RIGHT+11;);
		};	
	
-- Bracket top
t[#t+1] = LoadActor( THEME:GetPathG("_transition","bracket")) .. {
			InitCommand=cmd(x,SCREEN_CENTER_X-268;y,SCREEN_TOP+101);
		};
t[#t+1] = LoadActor( THEME:GetPathG("_transition","bracket")) .. {
			InitCommand=cmd(zoomx,-1;x,SCREEN_CENTER_X+268;y,SCREEN_TOP+101);
		};
-- Bracket bottom
t[#t+1] = LoadActor( THEME:GetPathG("_transition","bracket")) .. {
			InitCommand=cmd(zoomy,-1;x,SCREEN_CENTER_X-268;y,SCREEN_BOTTOM-101);
		};
t[#t+1] = LoadActor( THEME:GetPathG("_transition","bracket")) .. {
			InitCommand=cmd(zoomx,-1;zoomy,-1;x,SCREEN_CENTER_X+268;y,SCREEN_BOTTOM-101);
		};		
		
-- Shade
t[#t+1] = LoadActor( THEME:GetPathG("_bg","shadow")) .. {
			InitCommand=cmd(zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;Center;);
		};	
return t